Saltar para o conteúdo principal
POST
/
v1
/
deals
Criar negócio
curl --request POST \
  --url https://api.vendaze.com/v1/deals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Contrato Anual Acme Corp",
  "pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "currency": "BRL",
  "price_cts": 250000,
  "owner_email": "joao@empresa.com",
  "forecast_date": "2026-12-31T00:00:00Z",
  "person_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "company_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "tags": [
    "<string>"
  ],
  "custom_fields": [
    {
      "field_key": "origem_negocio",
      "value": "<string>"
    }
  ],
  "products": [
    {
      "product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "quantity": 1,
      "unit_price_cts": 50000
    }
  ]
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "Contrato Anual Acme Corp",
    "pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "price_cts": 250000,
    "currency": "BRL",
    "owner": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "joao@empresa.com",
      "name": "João Silva"
    },
    "source": "Minha Integração",
    "forecast_date": "2026-12-31T00:00:00Z",
    "entity_id": "NEG-0001",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "pipeline": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "stage": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "products": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "quantity": 2,
        "unit_price_cts": 50000,
        "total_price_cts": 100000
      }
    ],
    "custom_fields": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "value": "<unknown>",
        "field": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "label": "<string>",
          "key": "<string>",
          "type": "<string>"
        }
      }
    ],
    "tags": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "color_text": "<string>",
        "color_background": "<string>"
      }
    ],
    "people": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "full_name": "<string>"
      }
    ],
    "companies": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "full_name": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.vendaze.com/llms.txt

Use this file to discover all available pages before exploring further.

Autorizações

Authorization
string
header
obrigatório

OAuth 2.1 access token.

Corpo

application/json
name
string
obrigatório
Maximum string length: 70
Exemplo:

"Contrato Anual Acme Corp"

pipeline_id
string<uuid>
obrigatório
stage_id
string<uuid>
obrigatório
currency
enum<string>
obrigatório

Código ISO 4217 de moeda suportado pela Vendaze.

Opções disponíveis:
AED,
ARS,
AUD,
BRL,
CAD,
CHF,
CLP,
CNY,
COP,
DKK,
EGP,
EUR,
GBP,
HKD,
ILS,
INR,
JPY,
KWD,
MAD,
MXN,
MYR,
NGN,
NOK,
NZD,
PEN,
QAR,
SAR,
SEK,
SGD,
TRY,
USD,
UYU,
ZAR
Exemplo:

"BRL"

price_cts
integer
padrão:0

Valor em centavos. Se a requisição incluir produtos associados (products), este valor e a moeda (currency) serão ignorados. O negócio herdará automaticamente a soma calculada dos produtos e a moeda do primeiro produto associado.

Intervalo necessário: x >= 0
Exemplo:

250000

owner_email
string<email>

E-mail do membro do workspace a definir como responsável. A API resolve internamente para o ID do usuário. Deve ser membro deste workspace.

Exemplo:

"joao@empresa.com"

forecast_date
string<date-time> | null
Exemplo:

"2026-12-31T00:00:00Z"

person_ids
string<uuid>[]

Pessoas a associar ao negócio.

company_ids
string<uuid>[]

Empresas a associar ao negócio.

tags
string[]

Nomes (keys) das tags a associar ao negócio. Se a tag não existir, será criada automaticamente.

Required string length: 1 - 30
custom_fields
object[]

Valores de campos adicionais a definir no negócio. Identificados por field_key. Se o campo não existir, é criado automaticamente com tipo text.

products
object[]

Resposta

Negócio criado com sucesso.

data
object